<?php

declare(strict_types=1);

namespace App\Filament\Resources\Contacts\Schemas;

use Filament\Schemas\Components\Section;
use Filament\Schemas\Schema;

class ContactForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            Section::make('اطلاعات تماس')
                ->schema([
                    \App\Filament\Components\Form\NameTextInput::create()->required()->columnSpan(6),
                    \App\Filament\Components\Form\CellphoneTextInput::create()->required()->columnSpan(6),
                    \App\Filament\Components\Form\SubjectTextInput::create()->columnSpan(12),
                    \App\Filament\Components\Form\DescTextarea::create()
                        ->label('پیام')
                        ->name('text')
                        ->rows(6)
                        ->columnSpan(12),
                    \App\Filament\Components\Form\CreatedBySelect::create(),
                    \App\Filament\Components\Form\UpdatedBySelect::create(),
                ])
                ->columns(12)
                ->columnSpan(12),
        ])
            ->columns(12);
    }
}
